{% import "bootstrap/utils.html" as utils %}
{% import "bootstrap/wtf.html" as wtf %}
{% from "_formhelpers.html" import render_field %}
{% extends "Dash_layout.html" %}
{% block content %}   
<div class="page-wrapper">
    <div class="container-fluid">


            <h1>New Package </h1>
            <p>Insert new package in system and official landing page of the website.</p><br>
            <div>
              <a href="{{ url_for('dash.packages')}}" class="btn btn-success"><i class="m-r-10 mdi mdi-package"></i> Packages</a>
            </div>

            <center>
                {% if error %}
                <p class=error><strong>Error:</strong> {{ error }}
                {% endif %}
                <br>
                {% with messages = get_flashed_messages(with_categories=true) %}
                {% if messages %}
                <div class="alert alert-{{ messages.0.0 }}" role="alert">
                {% for category, message in messages %}
                {{ message }} </br>
                {% endfor %}
                *</div>
                {% endif %}
                {% endwith %}
                </center>
                <br>

                <div class="container">
                    <div class="card">
                        <div class="card-body">
                            <form class="form-horizontal form-material" method="POST">
                                {{ form.csrf_token }}
                                <div class="form-group">
                                    <label class="col-md-12">Package name : </label>
                                    <div class="col-md-12">
                                        {{ form.name(rows=3, class_="form-control form-control-line")}}
                                    </div>
                                    {% for error in form.name.errors %}<span style="color: red;">{{ error }}</span>{% endfor %}
                                </div>
                                <div class="form-group">
                                    <label class="col-md-12">Image url : </label>
                                    <div class="col-md-12">
                                        {{ form.img(rows=3, class_="form-control form-control-line")}}
                                    </div>
                                    {% for error in form.img.errors %}<span style="color: red;">{{ error }}</span>{% endfor %}
                                </div>
                                <div class="form-group">
                                    <label for="example-email" class="col-md-12">Package time : </label>
                                    <div class="col-md-12">
                                       
                                            {{ form.period(rows=3, class_="form-control form-control-line")}}
                                    </div>
                                    {% for error in form.period.errors %}<span style="color: red;">{{ error }}</span>{% endfor %}
                                </div>
                                <div class="form-group">
                                    <label class="col-md-12">Quality : </label>
                                    <div class="col-md-12">
                                        {{ form.quality(rows=3, class_="form-control form-control-line")}}
                                    </div>
                                    {% for error in form.quality.errors %}<span style="color: red;">{{ error }}</span>{% endfor %}
                                </div>
                                <div class="form-group">
                                    <label class="col-md-12">Channels : </label>
                                    <div class="col-md-12">
                                        {{ form.channels(rows=3, class_="form-control form-control-line", type="number")}}
                                    </div>
                                    {% for error in form.channels.errors %}<span style="color: red;">{{ error }}</span>{% endfor %}
                                </div>
                                <div class="form-group">
                                    <label class="col-md-12">Vod total : </label>
                                    <div class="col-md-12">
                                        {{ form.vod(rows=3, class_="form-control form-control-line", type="number")}}
                                    </div>
                                    {% for error in form.vod.errors %}<span style="color: red;">{{ error }}</span>{% endfor %}
                                </div>
                                <div class="form-group">
                                    <label class="col-md-12">Price : </label>
                                    <div class="col-md-12">
                                        {{ form.price(rows=3, class_="form-control form-control-line")}}
                                    </div>
                                    {% for error in form.price.errors %}<span style="color: red;">{{ error }}</span>{% endfor %}
                                </div>
                                <div class="form-group">
                                    <label class="col-md-12">XUI ID : </label>
                                    <div class="col-md-12">
                                        {{ form.xtream_id(rows=3, class_="form-control form-control-line", type="number")}}
                                    </div>
                                    {% for error in form.xtream_id.errors %}<span style="color: red;">{{ error }}</span>{% endfor %}
                                </div>
                          
                           
                                <div class="form-group">
                                    <div class="col-sm-12">
                                        <button class="btn btn-success" name="submit">Save</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
                

    </div>
</div>


    {% endblock content %}